PDA

View Full Version : [C++] linking problem with Code::Blocks in debug version



Toumhor
May 9th, 2007, 03:34 PM
Hello All,

I'm running under Feisty and I use Code::Blocks IDE.
My program is linked with several libraries, for example the libraries Glib 2.0 and Gtkmm 2.4.

In release version, my program is linking successfully with these libraries, all works well.
But, in debug version, I have a problem: I can't find the debug version of several libraries.

For example, I found the debug package libglib2.0-0-dbg on http://packages.ubuntulinux.org
But, I can't found the debug package for the library Gtkmm 2.4 .

I don't understand why debug package is available for the GLib 2.0 and not for Gtkmm 2.4, whereas development files are available for both libraries.

can you help me ?

thanks.